<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Mon May 18 23:41:36 CEST 2020 -->
<title>BoolDataPoint</title>
<meta name="date" content="2020-05-18">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BoolDataPoint";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/core/BoolDataPoint.html" target="_top">Frames</a></li>
<li><a href="BoolDataPoint.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.ch.hevs.isi.core.DataPoint">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.hevs.isi.core</div>
<h2 title="Class BoolDataPoint" class="title">Class BoolDataPoint</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">ch.hevs.isi.core.DataPoint</a></li>
<li>
<ul class="inheritance">
<li>ch.hevs.isi.core.BoolDataPoint</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">BoolDataPoint</span>
extends <a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></pre>
<div class="block">This class describes the core component BoolDataPoint, which inherits from DataPoint. Specifies DataPoints
 that can only have a boolean state as value</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.ch.hevs.isi.core.DataPoint">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;ch.hevs.isi.core.<a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></h3>
<code><a href="../../../../ch/hevs/isi/core/DataPoint.html#input">input</a>, <a href="../../../../ch/hevs/isi/core/DataPoint.html#label">label</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/core/BoolDataPoint.html#BoolDataPoint-java.lang.String-boolean-">BoolDataPoint</a></span>(java.lang.String&nbsp;label,
             boolean&nbsp;input)</code>
<div class="block">BoolDataPoint constructor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/core/BoolDataPoint.html#BoolDataPoint-java.lang.String-boolean-boolean-">BoolDataPoint</a></span>(java.lang.String&nbsp;label,
             boolean&nbsp;state,
             boolean&nbsp;input)</code>
<div class="block">BoolDataPoint constructor with 3 parameters, also calls DataPoint super constructor with label and input
 parameters</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/core/BoolDataPoint.html#getValue--">getValue</a></span>()</code>
<div class="block">returns the state attribute of the BoolDataPoint object</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/core/BoolDataPoint.html#setValue-boolean-">setValue</a></span>(boolean&nbsp;state)</code>
<div class="block">sets the value of the boolean parameter state, and also calls the onNewValue methods of the singletons from
 the WebConnector, DataBaseConnector, FieldConnector and DataBaseConnector classes, depending on whether
 the BoolDataPoint object is an input or an output

 * @param state new state of the BoolDataPoint object</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ch.hevs.isi.core.DataPoint">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;ch.hevs.isi.core.<a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core">DataPoint</a></h3>
<code><a href="../../../../ch/hevs/isi/core/DataPoint.html#createHashMap--">createHashMap</a>, <a href="../../../../ch/hevs/isi/core/DataPoint.html#getDataPointFromLabel-java.lang.String-">getDataPointFromLabel</a>, <a href="../../../../ch/hevs/isi/core/DataPoint.html#getInput--">getInput</a>, <a href="../../../../ch/hevs/isi/core/DataPoint.html#getLabel--">getLabel</a>, <a href="../../../../ch/hevs/isi/core/DataPoint.html#setInput-boolean-">setInput</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BoolDataPoint-java.lang.String-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BoolDataPoint</h4>
<pre>public&nbsp;BoolDataPoint(java.lang.String&nbsp;label,
                     boolean&nbsp;state,
                     boolean&nbsp;input)</pre>
<div class="block">BoolDataPoint constructor with 3 parameters, also calls DataPoint super constructor with label and input
 parameters</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the name of the BoolDataPoint object</dd>
<dd><code>state</code> - state of the BoolDataPoint object, either true(on) or false(off)</dd>
<dd><code>input</code> - this parameter is true of the object is used as an input, false if it's used as an output</dd>
</dl>
</li>
</ul>
<a name="BoolDataPoint-java.lang.String-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BoolDataPoint</h4>
<pre>public&nbsp;BoolDataPoint(java.lang.String&nbsp;label,
                     boolean&nbsp;input)</pre>
<div class="block">BoolDataPoint constructor</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>label</code> - the name of the DataPoint object</dd>
<dd><code>input</code> - this parameter is true of the object is used as an input, false if it's used as an output</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setValue-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre>public&nbsp;void&nbsp;setValue(boolean&nbsp;state)</pre>
<div class="block">sets the value of the boolean parameter state, and also calls the onNewValue methods of the singletons from
 the WebConnector, DataBaseConnector, FieldConnector and DataBaseConnector classes, depending on whether
 the BoolDataPoint object is an input or an output

 * @param state new state of the BoolDataPoint object</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>state</code> - new state of the BoolDataPoint object</dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getValue</h4>
<pre>public&nbsp;boolean&nbsp;getValue()</pre>
<div class="block">returns the state attribute of the BoolDataPoint object</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>state</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../ch/hevs/isi/core/DataPoint.html" title="class in ch.hevs.isi.core"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/core/BoolDataPoint.html" target="_top">Frames</a></li>
<li><a href="BoolDataPoint.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.ch.hevs.isi.core.DataPoint">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
